Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.AcceptAllFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.AcceptAllFileFilter
    extends FileFilter

Accept all file filter.

### Constructor Summary

Constructors
`AcceptAllFileFilter()` Constructs an `AcceptAllFileFilter`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept​(File f)` Returns true.

### Methods declared in class javax.swing.filechooser.FileFilter

`getDescription`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcceptAllFileFilter

    public AcceptAllFileFilter()

Constructs an `AcceptAllFileFilter`.

### Method Detail

#### accept

    public boolean accept​(File f)

Returns true.

Specified by:
  `accept` in class `FileFilter`
Parameters:
  `f` - the file
Returns:
  true